Description

Based from the code the method addPageBreak() adds a Page Break in the table.
But it isn't working right now. The defined array $aData is not used and insertNewPage and addRow are disabled:

/**
* Adds a Page Break in the table.
=/
public function addPageBreak ()
{
//$this—>insertNewPage () ;

SaData = [];
SaData['ADD_PAGE_BREAK'] = true;
$Sthis->dataCache[] = array(

"HEIGHT' => O,
'"DATATYPE' => self::TB_DATA_TYPE_INSERT_NEW_PAGE
)i
// S$this—>addRow ($SaData) ;
}
Based from my understanding of the code the wrong constant is used within the code and it will work if you replace
'"DATATYPE' => self::TB_DATA_TYPE_INSERT NEW_PAGE
into
"DATATYPE' => self::TB_DATA_TYPE_NEW_PAGE
Because constant ...NEW_PAGE resolves to "new_page" which is used as a string in line 1495 and 1547.
Maybe you can check those lines and replace the string against the right constant.
I'm using newest release 6.1.0 and talking about table.php

Or am | wrongly using this method? Maybe you can guide me in this case...

Best wishes

History

#1 - 12/15/2020 09:00 AM - Andrei Bintintan

- Status changed from New to In Progress

#2 - 12/15/2020 09:00 AM - Andrei Bintintan

- Assignee set to Andrei Bintintan

#3 - 12/15/2020 09:11 AM - Andrei Bintintan

- File doc (1).pdf added

- File example-table-dev1.php added

- Status changed from In Progress to Feedback

- Assignee changed from Andrei Bintintan to Timo Kempkens

Hi Timo,
Indeed that function needs a clean-up. But the page brake seems to be working.

Can you provide me an example?
The page-brake is added in $this->dataCache[] which is correct.

Have a look at the attached example if it's working on your side.

#4 - 12/23/2020 01:42 PM - Andrei Bintintan
+ping. Any updates?

#5 - 02/02/2021 09:43 PM - Andrei Bintintan
- Status changed from Feedback to Closed
doc (1).pdf 1.91 KB 12/15/2020 Andrei Bintintan
example-table-dev1.php 1.67 KB 12/15/2020 Andrei Bintintan
